List payment links
curl --request GET \
--url https://api.xentfi.com/v1/payment-links \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/payment-links"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/payment-links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"refId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"currency": "<string>",
"imgUrl": "<string>",
"paymentLimit": 2,
"amount": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"isActive": true,
"evmSettlementWalletId": "<string>",
"solanaSettlementWalletId": "<string>",
"allowedBlockchains": [
{
"id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"name": "Base",
"slug": "base-mainnet",
"symbol": "ETH",
"isActive": true,
"isEvmCompatible": true,
"configurations": null,
"chainId": 8453,
"logoUrl": "https://example.com/base-logo.png",
"tokenStandard": "ERC20",
"createdAt": "2023-04-28T14:44:06.397Z",
"updatedAt": "2024-11-26T15:26:18.785Z"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Payment Links
List payment links
GET
/
v1
/
payment-links
List payment links
curl --request GET \
--url https://api.xentfi.com/v1/payment-links \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/payment-links"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/payment-links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"refId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"currency": "<string>",
"imgUrl": "<string>",
"paymentLimit": 2,
"amount": "<string>",
"redirectUrl": "<string>",
"successMessage": "<string>",
"failureMessage": "<string>",
"metadata": {},
"isActive": true,
"evmSettlementWalletId": "<string>",
"solanaSettlementWalletId": "<string>",
"allowedBlockchains": [
{
"id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"name": "Base",
"slug": "base-mainnet",
"symbol": "ETH",
"isActive": true,
"isEvmCompatible": true,
"configurations": null,
"chainId": 8453,
"logoUrl": "https://example.com/base-logo.png",
"tokenStandard": "ERC20",
"createdAt": "2023-04-28T14:44:06.397Z",
"updatedAt": "2024-11-26T15:26:18.785Z"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Query Parameters
Available options:
ASC, DESC ⌘I

